package model

var (
	ApprovalRefundStatusCreated = 1
	ApprovalRefundStatusPayed   = 2
	ApprovalTypeRefund          = "refund"
	ApprovalTypeCheckin         = "checkin"
	ApprovalTypeVacation        = "vacation"

	ApprovalTpIdCheckin  = "C4UCJS891Afmu1rE1Ws6cvph7YHqebWtt7KRFqh8c"
	ApprovalTpIdRefund   = "C4UE6NT3ZE7XzER9TBk2ynHEeqA11NE2GGCuBq5yH"
	ApprovalTpIdVacation = "3WLJF6naF5jhnXvwisuPmE85wVMYcy1S1ZvYibkw"
)

type ApprovalRefund struct {
	Id           int64
	Username     string
	Month        string
	SpNo         string
	RefundType   string
	RefundDate   string
	RefundAmount float64
	RefundRemark string
	ApplyTime    string
	Status       int
	CreateTime   int64
	UpdateTime   int64
}
